Get list of subscriptions based on filters and columns
GET
/cms/subscription
const url = 'https://api.example.com/cms/subscription';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/subscription \ --header 'API-Key: <API-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters” Various query parameters
string
Refer to /revenue/subscription page in the backend and copy the constructed URL parameters for filtering and column selection.
Responses
Section titled “Responses”List of subscriptions
Media typeapplication/json
object
data
Report rows as shown on the /revenue/subscription backend page. The set of keys depends on the selected columns; all values are strings. The default columns are listed below.
Array<object>
object
id
string
status_friendly
Computed status label
string
user_id
string
payment_id
string
name
string
email
string
status
Raw status label
string
activation_date
MySQL date (Y-m-d)
string
expiry_date
MySQL date (Y-m-d)
string
deactivation_date
MySQL date (Y-m-d)
string
product
string
product_item
string
group
string
paymentMethod
string
cancellation_date
MySQL date (Y-m-d); may be empty or “0000-00-00”
string
key
additional properties
any
total_capped
Whether the total count was capped
boolean
page
Current page number
integer
Example
{ "data": [ { "id": "59312", "status_friendly": "Active", "user_id": "1871", "payment_id": "20212", "name": "John Doe", "email": "john@example.com", "status": "Enabled", "activation_date": "2026-07-31", "expiry_date": "2026-12-18", "deactivation_date": "2026-09-18", "product": "Basic Insider Membership", "product_item": "Basic - Monthly", "group": "Basic", "paymentMethod": "Stripe", "cancellation_date": "2026-09-18" } ], "total": 120}